module TwAPI::Routes::Twitch
  extend self

  private macro handleData(func)
    begin
      TwAPI::Datahandlers::Twitch.{{func}}(env)
    rescue ex
      env.response.status_code = 404
      err = {"error" => "#{ex.message}"}
      err.to_json
    end
  end

  def user(env)
    handleData(user)
  end

  def modvip(env)
    handleData(modvip)
  end

  def founders(env)
    handleData(founders)
  end

  def clip(env)
    handleData(clip)
  end

  def subage(env)
    handleData(subage)
  end

  def emotes(env)
    handleData(emotes)
  end
end

# I'll do this later fuck this shit

#   def globalEmotes(env)
#     if !env.params.query.has_key?("id") || !env.params.query.has_key?("login")
#       err = "[]"
#       return err.to_json
# 	else
#       gql = TwitchAPI::GQL.getChannelEmotes(env.params.query)
# 	  json_data = JSON.build do |json|
# 	end
