module TwAPI::Utils
  extend self

  def validate_token
	puts "#{"[INFO]".colorize(:green)} Validating twitch token..."
    headers = HTTP::Headers{
      "Content-Type"  => "application/json",
      "Authorization" => "OAuth #{CONFIG.helixOAuth}",
      "Client-Id"     => "#{CONFIG.helixClientID}",
    }
    response = HTTP::Client.get("https://id.twitch.tv/oauth2/validate", headers: headers)

    if response.success?
		response.body
    else
      raise "Helix OAuth Token validation failed. #{response.status_code}: #{response.body}"
    end
  end
end
