module TwAPI::Utils::Redis
  extend self

  def getExpireTime(key)
    REDIS_DB.ttl(key)
  end

  def retrieveFromCache(keyName)
    if keyName && (json = REDIS_DB.get(keyName))
      return json
    end
  end

  def saveJson(keyName, json_data : String)
    REDIS_DB.set(keyName, json_data, ex: 60)
  end
end
